> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List territories

> List territories



## OpenAPI

````yaml get /territories
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /territories:
    get:
      tags:
        - Territories
      summary: List territories
      description: List territories
      parameters:
        - name: name
          in: query
          required: false
          description: Filter by territory name (case-insensitive, partial match)
          schema:
            type: string
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 20
          required: false
          description: 'Page size (default and max: 20)'
        - name: page[after]
          in: query
          required: false
          description: Cursor for the next page (from _links.next)
          schema:
            type: string
      responses:
        '200':
          description: Successful
          content:
            application/json:
              examples:
                Successful:
                  value:
                    territories:
                      - id: 01a134d6-36c3-7f86-8575-fd204b301310
                        name: EMEA
                      - id: 01a134d6-375d-7a0d-a7e4-b708a71e3403
                        name: North America
                    _links:
                      self:
                        href: /territories?page[size]=20
              schema:
                type: object
                properties:
                  territories:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                  _links:
                    $ref: '#/components/schemas/response_links_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Invalid cursor:
                  value:
                    _errors:
                      - code: invalid_parameter
                        title: Invalid Parameter
                        detail: Invalid cursor
                        source:
                          pointer: /page/after
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.